## GstGLBaseFilter GstGLBaseFilter — GstBaseTransform subclass for transforming OpenGL resources |

## Properties

GstGLContext * | context | Read

## Types and Values

| GstGLBaseFilter
| GstGLBaseFilterClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter

## Description

GstGLBaseFilter handles the nitty gritty details of retrieving an OpenGL context. It also provided some wrappers around GstBaseTransform's `start()`, `stop()` and `set_caps()` virtual methods that ensure an OpenGL context is available and current in the calling thread.

## Functions

## Types and Values

### GstGLBaseFilter

    typedef struct _GstGLBaseFilter GstGLBaseFilter;

#### Members

### GstGLBaseFilterClass

    typedef struct {
      GstBaseTransformClass parent_class;
      GstGLAPI supported_gl_api;

      gboolean (*gl_start)          (GstGLBaseFilter *filter);
      void     (*gl_stop)           (GstGLBaseFilter *filter);
      gboolean (*gl_set_caps)       (GstGLBaseFilter *filter, GstCaps * incaps, GstCaps * outcaps);
    } GstGLBaseFilterClass;

#### Members

GstGLAPI `supported_gl_api`; | the logical-OR of GstGLAPI's supported by this element |
`gl_start` () | called in the GL thread to setup the element GL state. |
`gl_stop` () | called in the GL thread to setup the element GL state. |
`gl_set_caps` () | called in the GL thread when caps are set on `filter` . |

## Property Details

### The `“context”` property

      “context”                  GstGLContext *

Get OpenGL context.

Flags: Read

## See Also

GstBaseTransform